package models

import (

	"go-admin/common/models"

)

type SpiderListenSymbol struct {
    models.Model
    
    Symbol string `json:"symbol" gorm:"type:varchar(255);comment:交易对"` 
    Coin string `json:"coin" gorm:"type:varchar(255);comment:代币"` 
    Currency string `json:"currency" gorm:"type:varchar(255);comment:计价货币"` 
    models.ModelTime
    models.ControlBy
}

func (SpiderListenSymbol) TableName() string {
    return "spider_listen_symbol"
}

func (e *SpiderListenSymbol) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *SpiderListenSymbol) GetId() interface{} {
	return e.Id
}